package body MSHTML.DispHTMLStyleFontFace_Object is

   function Get_type
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_type);
   end Get_type;

   procedure Put_cssText
     (This : DispHTMLStyleFontFace_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispHTMLStyleFontFace_Put_cssText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cssText;

   function Get_cssText
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_cssText);
   end Get_cssText;

   function Get_parentRule
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_parentRule);
   end Get_parentRule;

   function Get_parentStyleSheet
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_parentStyleSheet);
   end Get_parentStyleSheet;

   procedure Put_fontsrc
     (This : DispHTMLStyleFontFace_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispHTMLStyleFontFace_Put_fontsrc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_fontsrc;

   function Get_fontsrc
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_fontsrc);
   end Get_fontsrc;

   function Get_style
     (This : DispHTMLStyleFontFace_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLStyleFontFace_Get_style);
   end Get_style;

end MSHTML.DispHTMLStyleFontFace_Object;

